Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Interface ContextFactory.Listener

Enclosing class:
  ContextFactory

    public static interface ContextFactory.Listener

Listener of `Context` creation and release events.

Method Summary
`void` | `contextCreated(Context cx)` Notify about newly created `Context` object.
`void` | `contextReleased(Context cx)` Notify that the specified `Context` instance is no longer associated with the current thread.

Method Detail

### contextCreated

    void contextCreated(Context cx)

  Notify about newly created `Context` object.

### contextReleased

    void contextReleased(Context cx)

  Notify that the specified `Context` instance is no longer associated with the current thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD